By using this Help Desk you permit HonestRepair to collect your email address and the data you provide so they can provide support for your ticket.

Knowledgebase
HonestRepair > HonestRepair Help Desk > Knowledgebase

Search help:


Installing NPM (on a LAMP stack) error "The following packages have unmet dependencies. npm : Depends:"

Solution

The best way to work through issues installing npm is with aptitude. Partially from https://askubuntu.com/questions/899756/cant-install-npm-unable-to-correct-problems-you-have-held-broken-packages/978353


 

sudo apt install aptitude
sudo aptitude install npm

Then when aptitude asks it's questions, select NO to all of the uninstall options and YES to the option that involves installing npm and downgrading NodeJS.

 

 
Was this article helpful? yes / no
Related articles LAMP Setup "ERROR Establishing Connection to Database"
Article details
Article ID: 9
Category: Linux
Date added: 2018-10-08 20:24:48
Rating (Votes): Article rated 3.7/5.0 (3)

 
« Go back

 
Powered by Help Desk Software HESK, in partnership with SysAid Technologies